[project]
name = "sp-hydra-veil-gui"
version = "2.0.1"
authors = [
  { name = "Simplified Privacy" },
]
description = "A graphical user interface that implements core client logic."
readme = "README.md"
requires-python = ">=3.12"
classifiers = [
    "Programming Language :: Python :: 3",
    "Operating System :: POSIX :: Linux",
]
dependencies = [
    "sp-hydra-veil-core == 2.0.0",
    "pyperclip ~= 1.9.0",
    "pyqt6 ~= 6.7.1",
    "qrcode[pil] ~= 8.2"
]

[project.urls]
Homepage = "https://git.simplifiedprivacy.com/codeking/sp-hydra-veil-gui"
Issues = "https://git.simplifiedprivacy.com/codeking/sp-hydra-veil-gui/issues"

[build-system]
requires = ["hatchling"]
build-backend = "hatchling.build"

[tool.hatch.build.targets.wheel]
packages = ["gui"]
